x
This website is using cookies. We use cookies to ensure that we give you the best experience on our website. More info. That's Fine
HPC:Factor Logo 
 
Latest Forum Activity

NEC MobilePro 900

1 2 3
torch Page Icon Posted 2023-04-06 7:25 PM
#
Avatar image of torch
Subscribers
H/PC Guru

Posts:
5,707
Location:
United States 
Status:
Unfortunately I’ve never used this personally so I’m not sure.
 Top of the page
sroland81 Page Icon Posted 2023-04-07 2:38 AM
#
Avatar image of sroland81
Subscribers
Factorite (Junior)

Posts:
48
Location:
Uruguay 
Status:
Well, this user reports a functioning power management, so i still have hope --> https://www.hpcfactor.com/forums/forums/thread-view.asp?tid=14221&st...
 Top of the page
torch Page Icon Posted 2023-04-07 2:45 AM
#
Avatar image of torch
Subscribers
H/PC Guru

Posts:
5,707
Location:
United States 
Status:
 Top of the page
sroland81 Page Icon Posted 2023-04-12 2:49 AM
#
Avatar image of sroland81
Subscribers
Factorite (Junior)

Posts:
48
Location:
Uruguay 
Status:
I'm happily running JLime in my MobilePro 900 but there is one package missing from the repo, the package is linux-libc-headers v2.6.18-r2 which is a dependency on many other packages. Does anyone have this package compiled for ARMv5? I could try to compile it myself, but maybe there is someone with experience in compiling this custom packages. Having linux-libc-headers would allow me to install libstdc++ and linux-libc-headers-dev and then allow me to install other packages like dosbox-dev or claws-mail-3.3.0... is there anyway to contact the original developers of JLime?

Cheers!
 Top of the page
thenzero Page Icon Posted 2023-04-12 7:05 PM
#
Avatar image of thenzero
Subscribers
H/PC Elite

Posts:
746
Location:
United States
Status:
Thinking about this further, are you absolutely sure it's not linux-libc-headers-dev that you need?? See for example: https://www.hpcfactor.com/forums/forums/thread-view.asp?tid=8389&sta...

Can you ipkg files linux-libc-headers-dev and see if the files you're thinking of are not in there?

Edit: sorry, use ipkg files, not ipkg list.

Edited by thenzero 2023-04-12 7:06 PM
 Top of the page
sroland81 Page Icon Posted 2023-04-13 12:21 AM
#
Avatar image of sroland81
Subscribers
Factorite (Junior)

Posts:
48
Location:
Uruguay 
Status:
I tried to install linux-libc-header-dev but it complains about not being able to resolv dependency package of linux-libc-header, so i think that package may be missing from the repository.

meanwhile i keep digging...
 Top of the page
thenzero Page Icon Posted 2023-04-13 4:35 AM
#
Avatar image of thenzero
Subscribers
H/PC Elite

Posts:
746
Location:
United States
Status:
Hm. Let me try on mine.
 Top of the page
thenzero Page Icon Posted 2023-04-13 4:53 AM
#
Avatar image of thenzero
Subscribers
H/PC Elite

Posts:
746
Location:
United States
Status:
I think that may actually just be a mistake in that ipk. If you open it up, it lists itself as linux-libc-headers and says it depends on linux-libc-headers and that it recommends linux-libc-headers-dev. LOL!

Just run ipkg with -force-depends.
 Top of the page
sroland81 Page Icon Posted 2023-05-01 5:56 AM
#
Avatar image of sroland81
Subscribers
Factorite (Junior)

Posts:
48
Location:
Uruguay 
Status:
Thanks, i'll try. I'm getting some issues, possibly due to outdated software. For examplk i have to uncompress every .tar.gz file because ut complains about bad tar magic. I tried to compile octave v3.0.3 (math cli program) and got the "C compiler cannot create executables". I searched that it fixes installing libc6-dev, but it complains again about the linux-libc-headers-dev and that one about the linux-libc-headers... i'll try that -force-depends. Another issue is that the default image viewer does not show jpeg files, MtPaint does. I get no sound, do you manage to get sound or mass storage usb? It would be awesome to have this issues fixed but i guess development of this linux distro is completely halted for years. What kernel version do you run?

Cheers!
 Top of the page
sroland81 Page Icon Posted 2023-05-01 3:29 PM
#
Avatar image of sroland81
Subscribers
Factorite (Junior)

Posts:
48
Location:
Uruguay 
Status:
this is a screenshot of the error. I installed libc6-dev but it still cannot generate executables. Can you try compiling Octave 3.0.3 for testing this? https://ftp.gnu.org/gnu/octave/

Thank you!
 Top of the page
1 2 3
Jump to forum:
Seconds to generate: 0.218 - Cached queries : 65 - Executed queries : 11